package de.fd.fh.server.user;

import dev.morphia.annotations.Id;
import lombok.*;

@AllArgsConstructor
@Getter
public class User {

    @Id
    private final UserId id;

    private String name;

    public static User of(String name)
    {
        return new User(null, name);
    }

    public void rename(String name)
    {
        if (name == null)
        {
            return;
        }
        this.name = name;
    }
}
