package de.fd.fh.server.user.events;

import de.fd.fh.server.user.UserId;
import lombok.Getter;

@Getter
public class ChangePasswordEvent
{
    private final String newPassword;

    private final UserId userId;

    public ChangePasswordEvent(final UserId userId, final String password)
    {
        this.newPassword = password;
        this.userId = userId;
    }
}
