package de.fd.fh.server.game;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class FieldTest
{
    @Test
    void fieldInitTest()
    {
        final Field field = new Field(1, 2, Field.Color.WHITE, new Figure());

        assertEquals(1, field.getX());
        assertEquals(2, field.getY());
        assertEquals(Field.Color.WHITE, field.getColor());
        assertEquals("WHITE", field.getColor().name());
        assertNotNull(field.getFigure());
    }
}