package de.fd.fh.server.game;

import de.fd.fh.server.user.UserId;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class FigureTest
{
    @Test
    void figureInitTest()
    {
        final Figure figure = new Figure(Figure.Type.KING, UserId.of("12345"));

        assertEquals(UserId.of("12345"), figure.getPlayer());
        assertEquals(Figure.Type.KING, figure.getType());
        assertEquals("KING", figure.getType().name());
    }
}