package de.fd.fh.server.user;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class UserTest
{
    @Test
    void testRename()
    {
        final User user = new User(UserId.random(), "TestName");

        user.rename("NewTestName");

        assertEquals("NewTestName", user.getName(), "Should rename user.");
    }

    @Test
    void failedRenameTest()
    {
        final User user = new User(UserId.random(), "TestName");

        user.rename(null);

        assertEquals("TestName", user.getName(), "Should rename user.");
    }
}