package de.fd.fh;

public class FigureBishop extends Figure
{
    @Override
    public boolean moveAllowed(int src, int dst, Figure[] field)
    {
        if ((dst-src) % Figure.fieldLength == 0) // nach oben/unten nicht erlaubt
        {
            return false;
        }

        if ((dst-src) % 7 != 0
            && (dst-src) % 9 != 0)
            return false;

        return super.moveAllowed(src, dst, field);
    }
}
