package de.fd.fh.server.game;

import de.fd.fh.server.user.UserId;
import dev.morphia.annotations.Embedded;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public class Figure
{
    private Type type;
    @Embedded
    private UserId player;

    public enum Type
    {
        KING, QUEEN, BISHOP, KNIGHT, ROOK, PAWN
    }
}
