package de.fd.fh.server.game;

import de.fd.fh.server.user.UserId;
import dev.morphia.annotations.Embedded;
import dev.morphia.annotations.Id;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Set;

@NoArgsConstructor
@AllArgsConstructor
@Getter
public class Game
{
    @Id
    private GameId id;
    @Embedded
    private UserId whitePlayer;
    @Embedded
    private UserId blackPlayer;
    @Embedded
    private UserId currentPlayer;
    @Embedded
    private Set<Field> fields;
    @Embedded
    private UserId winner;
}
